ProjectDependency (Gradle API 7.6.4)

Package org.gradle.api.artifacts

## Interface ProjectDependency

- All Superinterfaces:
    `Buildable`, `Dependency`, `HasAttributes`, `HasConfigurableAttributes<ModuleDependency>`, `ModuleDependency`, `SelfResolvingDependency`

      public interface ProjectDependency
      extends ModuleDependency, SelfResolvingDependency

  A `ProjectDependency` is a `Dependency` on another project in the current project hierarchy.

- - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.artifacts.Dependency

      `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProjectDependency` | `copy()` | Creates and returns a new dependency with the property values of this one.
    `Project` | `getDependencyProject()` | Returns the project associated with this project dependency.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.artifacts.Dependency

      `because, contentEquals, getGroup, getName, getReason, getVersion`

    - ### Methods inherited from interface org.gradle.api.artifacts.ModuleDependency

      `addArtifact, artifact, artifact, attributes, capabilities, doNotEndorseStrictVersions, endorseStrictVersions, exclude, getArtifacts, getAttributes, getExcludeRules, getRequestedCapabilities, getTargetConfiguration, isEndorsingStrictVersions, isTransitive, setTargetConfiguration, setTransitive`

    - ### Methods inherited from interface org.gradle.api.artifacts.SelfResolvingDependency

      `resolve, resolve`

- - ### Method Detail

    - #### getDependencyProject

          Project getDependencyProject()

      Returns the project associated with this project dependency.

    - #### copy

          ProjectDependency copy()

      Creates and returns a new dependency with the property values of this one.
      Specified by:
        `copy` in interface `Dependency`
      Specified by:
        `copy` in interface `ModuleDependency`
      Returns:
        The copy. Never returns null.